<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<title>SVG</title>
<style type="text/css">
@import "jquery.svg.css";
</style>
<style type="text/css">
	table
	{
	border-collapse:collapse;
	}
	table,td
	{
	border: 1px solid #36F;
	padding:15px 6px 15px 6px;
	}
	th{
	border: 1px solid #36F;
	padding:15px;
	background-color:#3CF;
	}
</style>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<script type="text/javascript" src="jquery.svg.js"></script>
<script type="text/javascript">
var points = new Array();
var colours = ['purple', 'red', 'orange', 'yellow', 'lime', 'green', 'blue', 'navy', 'black'];
var myline = new Array();
var mypoint = new Array();
var jparr = new Array();
var dirarr = new Array();
var tmparr = new Array();
var pointdrawn=false;
var comppoly=false;
$(function() {
	$('#svgbasics').svg({onLoad: function(svg) {} });
	$('#svgbasics').click(function(e) {
	offset = ($.browser.msie ? {left: 0, top: 0} : $('#svgbasics').offset()); 
    if (!$.browser.msie) { 
        offset.left -= document.documentElement.scrollLeft || document.body.scrollLeft; 
        offset.top -= document.documentElement.scrollTop || document.body.scrollTop; 
    } 
		var mouseX = e.pageX - offset.left;
		var mouseY = e.pageY - offset.top;
		
		drawPoints(mouseX,mouseY,points);
	});
	
	$('#clear').click(function() {
		$('#svgbasics').svg('get').clear();
		$('#svgbasics').svg({onLoad: function(svg) {} });
		points.splice(0,points.length);
		myline.splice(0,myline.length);
		mypoint.splice(0,mypoint.length);
		window['pointdrawn']=false;
		window['comppoly']=false;
		 var rowcnt = document.getElementById('pointsdata').getElementsByTagName("tr").length-1;
		 for(i=1;i<=rowcnt;i++){
			 $('#'+i).remove();
			 $('#'+i+'_x1').remove();
			 $('#'+i+'_y1').remove();
			 $('#'+i+'_x2').remove();
			 $('#'+i+'_y2').remove();
			 $('#'+i+'_jpp').remove();
		 }
		 $('#jump').hide();
	});
});

function drawPoints(x,y,points)
{
	if(tmparr!=''){
		 for(var z=0;z<points.length;z++)
		 {
			pc = points[z];
			xp = pc[0];
			yp = pc[1];
			if((xp===tmparr[0][0]) && (yp===tmparr[0][1]))
			{
				 var svgdiv = $('#svgbasics');
				 var svg = $('#svgbasics').svg('get');
				 var imgX = tmparr[0][0]-10;
				 var imgY = tmparr[0][1]-10;
				 var imgDot = '<img src="images/dot_normal.png" style="width:auto;height:auto;position:absolute;left:' + imgX + 'px;top:'+ imgY +'px;" id="'+tmparr[0][0]+'_'+tmparr[0][1]+'" name="'+tmparr[0][0]+'_'+tmparr[0][1]+'" onclick="pointClick('+tmparr[0][0]+','+tmparr[0][1]+')" />';
				 
				 svgdiv.append(imgDot);
				 
				 var pointobj = svg.rect(tmparr[0][0], tmparr[0][1], 2, 2,
						{fill: colours[0], stroke: colours[2],
						'stroke-width': 2});
				 mypoint.push(pointobj);
				 points.push([tmparr[0][0],tmparr[0][1]]);
				 window['pointdrawn']=true;
				 tmparr.splice(tmparr.length-1,1);
			}
		 }
	}
	else
	{
				 var svgdiv = $('#svgbasics');
				 var svg = $('#svgbasics').svg('get');
				 var imgX = x-10;
				 var imgY = y-10;
				 var imgDot = '<img src="images/dot_normal.png" style="width:auto;height:auto;position:absolute;left:' + imgX + 'px;top:'+ imgY +'px;" id="'+x+'_'+y+'" name="'+x+'_'+y+'" onclick="pointClick('+x+','+y+')" />';
				 
				 svgdiv.append(imgDot);
				 
				 var pointobj = svg.rect(x, y, 2, 2,
						{fill: colours[0], stroke: colours[2],
						'stroke-width': 2});
				 mypoint.push(pointobj);
				 points.push([x,y]);
	 			 window['pointdrawn']=true;
	} 
}
function drawLine()
{
	if(window['pointdrawn']==true){
		var plottingpoints1 = points[points.length-2];
		var x1 = plottingpoints1[0];
		var y1 = plottingpoints1[1];	
		var plottingpoints2 = points[points.length-1];
		var x2 = plottingpoints2[0];
		var y2 = plottingpoints2[1];
		var svg = $('#svgbasics').svg('get');
		var lineobj = svg.line(x1, y1, x2, y2,{stroke: colours[1], 'stroke-width': 2});
		myline.push(lineobj);
		window['pointdrawn']=false;
		ShowPoints(x1,y1,x2,y2);
		$('#jump').show();
	}else{
		alert('Draw Point First !!');
	}
}
function completePolygon()
{
	window['comppoly']=true;
	var plottingpoints2 = points[0];
	var x2 = plottingpoints2[0];
	var y2 = plottingpoints2[1];
	var plottingpoints1 = points[points.length-1];
	var x1 = plottingpoints1[0];
	var y1 = plottingpoints1[1];
	var svg = $('#svgbasics').svg('get');
	var lineobj = svg.line(x1, y1, x2, y2,{stroke: colours[1], 'stroke-width': 2});
	myline.push(lineobj);
	window['pointdrawn']=false;
	ShowPoints(x1,y1,x2,y2);
}

function removeLine()
{
	 if(myline.length!=1){	
	 
		 var svg = $('#svgbasics').svg('get');
		 
		 svg.remove(myline[myline.length-1]);
		 myline.splice(myline.length-1,1);
		 
		
		 if(window['comppoly']==false){
			 var removepoints1 = points[points.length-1];
			 var rx1 = removepoints1[0];
			 var ry1 = removepoints1[1];
			 $('#'+rx1+'_'+ry1).remove();
			svg.remove(mypoint[mypoint.length-1]);
			mypoint.splice(mypoint.length-1,1);
			points.splice(points.length-1,1);
		 }
		 
		 window['comppoly']=false;
		 var rowcnt = document.getElementById('pointsdata').getElementsByTagName("tr").length-1;
		 document.getElementById('rowcount').value = rowcnt-1;
		 $('#'+rowcnt).remove();
		 $('#'+rowcnt+'_x1').remove();
		 $('#'+rowcnt+'_y1').remove();
		 $('#'+rowcnt+'_x2').remove();
		 $('#'+rowcnt+'_y2').remove();
		 $('#'+rowcnt+'_jpp').remove();
		 $('#'+rowcnt+'_dirp').remove();
		 
	 }else{
		
		$('#svgbasics').svg('get').clear();
		$('#svgbasics').svg({onLoad: function(svg) {} });
		// remove point images
		var removepoints1 = points[points.length-1];
		var rx1 = removepoints1[0];
		var ry1 = removepoints1[1];
		var removepoints2 = points[points.length-2];
		var rx2 = removepoints2[0];
		var ry2 = removepoints2[1];
		$('#'+rx1+'_'+ry1).remove();
		$('#'+rx2+'_'+ry2).remove();
		points.splice(0,points.length);
		myline.splice(0,myline.length);
		mypoint.splice(0,mypoint.length);
		window['pointdrawn']=false;
		window['comppoly']=false;
		 var rowcnt = document.getElementById('pointsdata').getElementsByTagName("tr").length-1;
		 document.getElementById('rowcount').value = rowcnt-1;
		 for(i=1;i<=rowcnt;i++){
			 $('#'+i).remove();
			 $('#'+i+'_x1').remove();
			 $('#'+i+'_y1').remove();
			 $('#'+i+'_x2').remove();
			 $('#'+i+'_y2').remove();
			 $('#'+i+'_jpp').remove();
			 $('#'+i+'_dirp').remove();
		 }
		 $('#jump').hide();
	 }
}
</script>
</head>
<body>
<?php
@session_start();
$sessionval = session_id();
?>
<div style="width:800px;"> 
<div style="width:400px;float:left;">
<button id="drawline" onClick="drawLine();">Draw Line</button>
<button id="removeline" onClick="removeLine();">Undo</button>
<button id="removeline" onClick="completePolygon();">Complete Polygon</button>
<button id="clear">Clear Canvas</button>
<img src="iphone.png">
<div id="svgbasics" style="overflow:hidden;position:absolute;width:320px;height:418px; top:135px; left:25px;"></div>
</div>
<div style="width:400px;float:right;">
		
        <br>
        <br>
        <div id="jump" style="display:none;">
        Please mark checkbox for jumping point value
        <form name="polygon" method="post" id="polygon">
        <input type="hidden" name="rowcount" value="0" id="rowcount">
        <input type="hidden" name="sessionval" value="<?php echo $sessionval; ?>" id="sessionval">
        
        <br>
        <br>
        <table id="pointsdata" cellpadding="0" cellspacing="0">
        	<tr><th>Line Number</th><th>Point1</th><th>Point2</th><th>Passing Factor</th><th>Direction</th><th>Jumping Point</th></tr>  
        </table>
        <input type="button" value="Save" id="savepolydata">
        </form>
        </div>
</div>
</div>
<script type="text/javascript">
function setJump(rows)
{
	var svgdiv = $('#svgbasics');
	var svg = $('#svgbasics').svg('get');
	if(!(document.getElementById(rows+"_jp").checked))
	{                   
		$('#'+rows+'_jpp').remove();
		var pointx = document.getElementById(rows+"_x2").value;
		var pointy = document.getElementById(rows+"_y2").value;
		$('#jmp_'+pointx+pointy).remove();
	}else{   
		var jumpingpoint = '<input type="hidden" value="'+rows+'" id="'+rows+"_jpp"+'" name="'+rows+"_jpp"+'">';
		$('#polygon').append(jumpingpoint);	
		var pointx = document.getElementById(rows+"_x2").value;
		var pointy = document.getElementById(rows+"_y2").value;
		/*jppoint = svg.circle(pointx, pointy, 6,
				{fill: colours[9], stroke: colours[9],
				'stroke-width': 3});*/
		
		var imgX = pointx-10;
		var imgY = pointy-10;
		var imgDot = '<img src="images/dot_hover.png" style="width:auto;height:auto;position:absolute;left:' + imgX + 'px;top:'+ imgY +'px;" id="jmp_'+pointx+pointy+'" name="jmp_'+pointx+pointx+'"/>';	 
		svgdiv.append(imgDot);
	}
	
}

function setDirection(rows)
{
	var svgdiv = $('#svgbasics');
	if(!(document.getElementById(rows+"_dir").checked))
	{                   
		$('#'+rows+'_dirp').remove();
		$('#'+rows+'_dirpp').remove();
	}
	else
	{   
		var directionpoint = '<input type="hidden" value="'+rows+'" id="'+rows+"_dirp"+'" name="'+rows+"_dirp"+'">';
		$('#polygon').append(directionpoint);	
		var pointx1 = document.getElementById(rows+"_x1").value;
		var pointy1 = document.getElementById(rows+"_y1").value;
		var pointx2 = document.getElementById(rows+"_x2").value;
		var pointy2 = document.getElementById(rows+"_y2").value;
		var angle = (((Math.atan2((pointx2 - pointx1), (pointy2 - pointy1))) * 180) / Math.PI);
		angle = -angle;
		var imgLeft = pointx2-10;
		var imgTop = pointy2-10;
		var imgDir = '<img src="images/top_arrow.png" style="width:auto;height:auto;position:absolute;left:' + imgLeft + 'px;top:'+ imgTop +'px;transform: rotate('+angle+'deg);" id="'+rows+"_dirpp"+'" name="'+rows+"_dirpp"+'" />';
		svgdiv.append(imgDir);
		dirarr[rows]=$('#dirpp');
	}	
}

function pointClick(x,y)
{
	tmparr.push([x,y]);
}
function ShowPoints(x1,y1,x2,y2)
{        
		var rows = document.getElementById('pointsdata').getElementsByTagName("tr").length;
		document.getElementById('rowcount').value = rows;
		coord1 = x1+' , '+y1;
		coord2 = x2+' , '+y2;
		
		var content = '<tr id="'+rows+'"><td>'+rows+'</td><td>' + coord1 + '</td>';
		content += '<td>' + coord2 + '</td>';
		content += '<td><input type="text" name="passing_factor_'+rows+'" value="" size="20"></td>';
		content += '<td><input type="checkbox" value="'+rows+'" id="'+rows+"_dir"+'" name="'+rows+"_dir"+'" onclick="setDirection('+rows+');"></td>';
		content += '<td><input type="checkbox" value="'+rows+'" id="'+rows+"_jp"+'" name="'+rows+"_jp"+'" onclick="setJump('+rows+');"></td>';
		content += '</tr>';
		$('#pointsdata').append(content);
		
		var inputs1x = '<input type="hidden" value="'+x1+'" id="'+rows+"_x1"+'" name="'+rows+"_x1"+'">';
		var inputs1y = '<input type="hidden" value="'+y1+'" id="'+rows+"_y1"+'" name="'+rows+"_y1"+'">';
		var inputs2x = '<input type="hidden" value="'+x2+'" id="'+rows+"_x2"+'" name="'+rows+"_x2"+'">';
		var inputs2y = '<input type="hidden" value="'+y2+'" id="'+rows+"_y2"+'" name="'+rows+"_y2"+'">';
		
		$('#polygon').append(inputs1x);
		$('#polygon').append(inputs1y);
		$('#polygon').append(inputs2x);
		$('#polygon').append(inputs2y);
		
}
$("#savepolydata").click(function() {

	var url = "savepolygonpoints.php"; // the script where you handle the form input.

	$.ajax({
		   type: "POST",
		   url: url,
		   data: $("#polygon").serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   if(data=='inserted')
			   {
				   window.close();
			   }
		   }
		 });

	return false; // avoid to execute the actual submit of the form.
});
</script>
</body>
</html>
